<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class WholesaleProduct extends Model
{
    protected $table = 'products';
    
    protected $fillable = [
        'title', 
        'slug', 
        'summary', 
        'description', 
        'cat_id', 
        'child_cat_id', 
        'price', 
        'brand_id', 
        'discount', 
        'status', 
        'photo', 
        'is_wholesale', 
        'wholesale_price' 
    ];

    // علاقة مع الفئات
    public function cat_info()
    {
        return $this->hasOne(Category::class, 'id', 'cat_id');
    }

    // علاقة مع العلامات التجارية
    public function brand_info()
    {
        return $this->hasOne(Brand::class, 'id', 'brand_id');
    }

    // طريقة للحصول على جميع منتجات الجملة
    public static function getAllWholesaleProducts()
    {
        return self::where('is_wholesale', true)->get();
    }
}